/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-22 15:27:49.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.service.impl;

import cn.com.qmth.examcloud.core.print.common.jpa.SearchBuilder;
import cn.com.qmth.examcloud.core.print.common.utils.Check;
import cn.com.qmth.examcloud.core.print.repository.CourseStatisticRepository;
import cn.com.qmth.examcloud.core.print.service.CourseStatisticService;
import cn.com.qmth.examcloud.core.print.service.bean.coursestatistic.CourseStatisticInfo;
import cn.com.qmth.examcloud.core.print.service.bean.coursestatistic.CourseStatisticQuery;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.stereotype.Service;

/**
 * @author: fengdesheng
 * @since: 2018/10/17
 */
@Service
public class CourseStatisticServiceImpl implements CourseStatisticService {
    @Autowired
    private CourseStatisticRepository courseStatisticsRepository;

    @Override
    public Page<CourseStatisticInfo> getCourseStatisticList(CourseStatisticQuery query) {
        Check.isNull(query, "查询参数不能为空！");
        //查询条件
        SearchBuilder searches = new SearchBuilder();
        if (query.getOrgId() != null) {
            searches.eq("orgId", query.getOrgId());
        }
        if (query.getExamId() != null) {
            searches.eq("examId", query.getExamId());
        }
        if (query.getCourseId() != null) {
            searches.eq("courseId", query.getCourseId());
        }
        if (query.getPaperId() != null) {
            searches.eq("paperId", query.getPaperId());
        }
        if (query.getPaperBindingStatus() != null) {
            searches.eq("paperBindingStatus", query.getPaperBindingStatus());
        }
        //todo
        return null;
    }

    @Override
    public void initCourseStatistics(Long orgId, Long examId, Long[] courseIds) {
        //todo
    }

    @Override
    public void initCourseStatistics() {
        //todo
    }

}